package com.yidianling.dynamic.model;

import java.util.List;

public class TopicDetailBean {

    public Topic topic;
    public int totalMembers;

    public List<Member> members;
    public List<TopicTopData> top_data;
    public Share share;

    public static class Topic {

        public int focusCount;
        public int postsCount;
        public String title;
        public String description;
        /**
         * 1未关注，2关注
         */
        public String isFocused;
        public String cover;
        public int visitCount;
    }

    public static class Member {
        public String uid;
        public String head;
    }

    public static class Share {

        /**
         * title : 抑郁症候群
         * desc : 抑郁＝悲伤情绪超出了正常的悲伤和痛苦
         * cover : https://img.yidianling.com/file/2017/04/18/4h9w28zg8rsm2wl3.jpg
         * share_url : http://m.yidianling.com/topic/20
         */

        public String title;
        public String desc;
        public String cover;
        public String shareUrl;
    }

    public static class TopicTopData implements ITopTrends {
        public String title;
        public String id;
        public String is_top;
        public String create_time;

        @Override
        public String getId() {
            return id;
        }

        @Override
        public String getTitle() {
            return title;
        }

        @Override
        public String getIs_top() {
            return is_top;
        }

        @Override
        public String getCreate_time() {
            return create_time;
        }
    }
}